Source: lomiri-push-qml
Section: x11
Priority: optional
Maintainer: UBports Developers <devs@ubports.com>
Build-Depends: cmake (>= 2.8.9),
               dbus-test-runner,
               debhelper-compat (= 13),
               liblomiri-connectivity-qt1-dev,
               pkgconf,
               qml-module-qtquick2,
               qml-module-qttest,
               qml-module-lomiri-components,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               xvfb,
               xauth,
Standards-Version: 4.7.0
Homepage: https://gitlab.com/ubports/development/core/lomiri-push-qml
Vcs-Git: https://gitlab.com/ubports/development/core/lomiri-push-qml.git
Vcs-Browser: https://gitlab.com/ubports/development/core/lomiri-push-qm

Package: qml-module-lomiri-pushnotifications
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-qtquick2,
         qml-module-lomiri-components,
Description: Lomiri Push Notifications QML plugin
 Lomiri's Push Service is a client/server architecture that allows one to
 send notifications to the Lomiri Shell without the need of the
 targetted app being actually running.
 .
 This QML module provides means to register, receive and send push
 notifications.

Package: qml-module-ubuntu-pushnotifications
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         qml-module-lomiri-pushnotifications (= ${binary:Version}),
         qml-module-qtquick2,
         qml-module-lomiri-components,
Description: Lomiri Push Notifications QML plugin - Ubuntu compatiblity layer
 Lomiri's Push Service is a client/server architecture that allows one to
 send notifications to the Lomiri Shell without the need of the
 targetted app being actually running.
 .
 This QML module provides means to register, receive and send push
 notifications.
 .
 This package contains the Ubuntu PushNotifications QML plugin, implemented as
 a compatibility layer over Lomiri PushNotifications.
